Bug 1781768 - error building openapi models for clusteroperators.config.openshift.io
Summary: error building openapi models for clusteroperators.config.openshift.io
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.4.0
Assignee: Mike Dame
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On:
Blocks: 1781843
TreeView+ depends on / blocked
 
Reported: 2019-12-10 14:32 UTC by David Eads
Modified: 2020-05-04 11:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1781843 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:19:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:20:10 UTC

Description David Eads 2019-12-10 14:32:11 UTC
Seeing

E1209 06:35:01.956334       1 customresource_handler.go:655] error building openapi models for clusteroperators.config.openshift.io: ERROR $root.definitions.io.openshift.config.v1.ClusterOperator.properties.status.properties.extension has invalid property: nullable

in kube-apiserver logs from https://storage.googleapis.com/origin-ci-test/logs/release-openshift-ocp-installer-e2e-aws-4.3/453/artifacts/e2e-aws/pods/openshift-kube-apiserver_kube-apiserver-ip-10-0-143-43.ec2.internal_kube-apiserver-3.log in https://prow.svc.ci.openshift.org/view/gcs/origin-ci-test/logs/release-openshift-ocp-installer-e2e-aws-4.3/453 .  

I think this impacts explain output and may indicate that we have different definitions of the clusteroperator CRD fighting.

Comment 2 Xingxing Xia 2019-12-24 07:33:32 UTC
Verified in 4.4.0-0.nightly-2019-12-20-210709 env using steps https://bugzilla.redhat.com/show_bug.cgi?id=1781843#c2 .
Reporting another similar error in separate bug 1786269

Comment 4 errata-xmlrpc 2020-05-04 11:19:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.